## soapybladerf 0.3.4

=== CMakeLists.txt ===
########################################################################
# Build Soapy SDR support module for blade RF
########################################################################
cmake_minimum_required(VERSION 2.8.7)
project(SoapyBladeRF CXX)

find_package(SoapySDR "0.4" NO_MODULE)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
find_package(LibbladeRF)

if (NOT LIBBLADERF_FOUND)
    message(FATAL_ERROR "Blade RF development files not found...")
endif ()
message(STATUS "LIBBLADERF_INCLUDE_DIRS - ${LIBBLADERF_INCLUDE_DIRS}")
message(STATUS "LIBBLADERF_LIBRARIES - ${LIBBLADERF_LIBRARIES}")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${LIBBLADERF_INCLUDE_DIRS})

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)

endif(CMAKE_COMPILER_IS_GNUCXX)

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
endif(APPLE)

SOAPY_SDR_MODULE_UTIL(
    TARGET bladeRFSupport
    SOURCES
        bladeRF_Registation.cpp
        bladeRF_Settings.cpp
        bladeRF_Streaming.cpp
    LIBRARIES
        ${LIBBLADERF_LIBRARIES}
)

## soapybladerf 0.3.2

=== debian/changelog ===
soapybladerf (0.3.2-2) unstable; urgency=medium

  * Make soapysdr-module-bladerf Multi-Arch: same
  * Raise debhelper compat level to 10
  * Remove unnecessary dh_installchangelogs override

 -- Andreas Bombe <aeb@debian.org>  Tue, 10 Jan 2017 03:45:15 +0100

soapybladerf (0.3.2-1) unstable; urgency=medium

  * Initial release (Closes: #834380)

 -- Andreas Bombe <aeb@debian.org>  Wed, 24 Aug 2016 14:46:41 +0200

=== debian/control ===
Source: soapybladerf
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libsoapysdr-dev,
    libbladerf-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyBladeRF/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapybladerf.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapybladerf.git

Package: soapysdr0.5-2-module-bladerf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: bladeRF device support for SoapySDR
 The Soapy bladeRF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the nuand bladeRF device to
 transmit and receive.

Package: soapysdr-module-bladerf
Architecture: any
Multi-Arch: same
Depends: soapysdr0.5-2-module-bladerf, ${misc:Depends}
Description: bladeRF device support for SoapySDR (default version)
 The Soapy bladeRF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the nuand bladeRF device to
 transmit and receive.
 .
 This is an empty dependency package that pulls in the bladeRF module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.5-2-module-bladerf

## soapybladerf 0.3.3

=== debian/changelog ===
soapybladerf (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Adjust copyright years in debian/copyright
  * Bump Standards-Version to 4.0.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sun, 06 Aug 2017 18:46:21 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends:
     debhelper (>= 10),
     cmake,
-    libsoapysdr-dev,
+    libsoapysdr0.6-dev,
     libbladerf-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyBladeRF/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapybladerf.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapybladerf.git
 
-Package: soapysdr0.5-2-module-bladerf
+Package: soapysdr0.6-module-bladerf
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: bladeRF device support for SoapySDR
  The Soapy bladeRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -27,7 +27,7 @@
 Package: soapysdr-module-bladerf
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-bladerf, ${misc:Depends}
+Depends: soapysdr0.6-module-bladerf, ${misc:Depends}
 Description: bladeRF device support for SoapySDR (default version)
  The Soapy bladeRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

## soapybladerf 0.3.4

=== debian/changelog ===
soapybladerf (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * Increase debhelper compat level to 11
  * Bump Standards-Version to 4.1.3, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Wed, 24 Jan 2018 22:20:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper (>= 11),
     cmake,
     libsoapysdr0.6-dev,
     libbladerf-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/pothosware/SoapyBladeRF/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapybladerf.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapybladerf.git

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.5-2-module-bladerf
+	dh_installdocs --link-doc=soapysdr0.6-module-bladerf

## soapybladerf 0.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,18 @@
 endif ()
 message(STATUS "LIBBLADERF_INCLUDE_DIRS - ${LIBBLADERF_INCLUDE_DIRS}")
 message(STATUS "LIBBLADERF_LIBRARIES - ${LIBBLADERF_LIBRARIES}")
+
+#version check for recent bladerf with gain mode API
+message(STATUS "Checking for bladerf_set_gain_mode API...")
+message(STATUS "  Reading ${LIBBLADERF_INCLUDE_DIRS}/libbladeRF.h...")
+file(READ ${LIBBLADERF_INCLUDE_DIRS}/libbladeRF.h libbladeRF_h)
+string(FIND "${libbladeRF_h}" "bladerf_gain_mode" has_bladerf_gain_mode)
+if ("${has_bladerf_gain_mode}" STREQUAL "-1")
+    message(STATUS "  libbladeRF no support for bladerf_set_gain_mode API")
+else()
+    add_definitions(-DHAS_BLADERF_GAIN_MODE)
+    message(STATUS "  libbladeRF supports the bladerf_set_gain_mode API")
+endif()
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${LIBBLADERF_INCLUDE_DIRS})

=== debian/changelog ===
soapybladerf (0.3.5-2) unstable; urgency=medium

  * Add backport of bladerfv2 support from SoapyBladeRF PR #19 to fix FTBFS.
    Thanks Peter Green for the pointer and patch! (Closes: #939561)

 -- Andreas Bombe <aeb@debian.org>  Fri, 13 Sep 2019 00:01:05 +0200

soapybladerf (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Add pkg-config to Build-Depends, the FindLibbladeRF.cmake script can make
    use of it
  * Use https URL for debian/copyright Format header

 -- Andreas Bombe <aeb@debian.org>  Thu, 22 Mar 2018 01:54:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends:
     debhelper (>= 11),
     cmake,
+    pkg-config,
     libsoapysdr0.6-dev,
     libbladerf-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/pothosware/SoapyBladeRF/wiki
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapybladerf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapybladerf.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapybladerf
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapybladerf.git
 
 Package: soapysdr0.6-module-bladerf
 Architecture: any

## soapybladerf 0.4.1

=== CMakeLists.txt ===
########################################################################
# Build Soapy SDR support module for blade RF
########################################################################
cmake_minimum_required(VERSION 2.8.7)
project(SoapyBladeRF CXX)

find_package(SoapySDR "0.4" NO_MODULE)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
find_package(LibbladeRF)

if (NOT LIBBLADERF_FOUND)
    message(FATAL_ERROR "Blade RF development files not found...")
endif ()
message(STATUS "LIBBLADERF_INCLUDE_DIRS - ${LIBBLADERF_INCLUDE_DIRS}")
message(STATUS "LIBBLADERF_LIBRARIES - ${LIBBLADERF_LIBRARIES}")

set(CMAKE_CXX_STANDARD 11)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${LIBBLADERF_INCLUDE_DIRS})

if(CMAKE_COMPILER_IS_GNUCXX)

    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)

endif(CMAKE_COMPILER_IS_GNUCXX)

SOAPY_SDR_MODULE_UTIL(
    TARGET bladeRFSupport
    SOURCES
        bladeRF_Registration.cpp
        bladeRF_Settings.cpp
        bladeRF_Streaming.cpp
    LIBRARIES
        ${LIBBLADERF_LIBRARIES}
)

=== debian/changelog ===
soapybladerf (0.4.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:55 +0100

soapybladerf (0.4.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:19:42 +0200

soapybladerf (0.4.1-1) experimental; urgency=medium

  * New upstream version 0.4.1
  * Drop backported patches for bladerf2 support again, not needed anymore
  * Make libbladerf-dev build dependency versioned to >= 0.2018.08-rc1, which
    is the version where bladerf2 support was introduced
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes necessary
  * Update copyright years for Josh Blum in debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Tue, 24 Sep 2019 00:34:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.6-module-bladerf
+	dh_installdocs --link-doc=soapysdr0.7-module-bladerf

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyBladeRF/releases .*/soapy-bladerf-([\d\.]+)\.tar\.(?:xz|gz|bz2)

## soapybladerf 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,3 +39,14 @@
     LIBRARIES
         ${LIBBLADERF_LIBRARIES}
 )
+
+########################################################################
+# uninstall target
+########################################################################
+add_custom_target(uninstall
+    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+    IMMEDIATE @ONLY)
+

=== debian/changelog ===
soapybladerf (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113517)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 18:45:43 +0200

soapybladerf (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Update debian/copyright years from source code
  * Change Build-Depends on obsolete pkg-config to pkgconf
  * Bump Standards-Version to 4.7.2, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sun, 16 Mar 2025 02:41:07 +0100

soapybladerf (0.4.1-5) unstable; urgency=medium

  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Thu, 07 Sep 2023 23:36:42 +0530

soapybladerf (0.4.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:24:02 +0200

soapybladerf (0.4.1-3) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Set debhelper-compat version in Build-Depends
  * Increase debhelper compat level to 13
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Thu, 26 Aug 2021 19:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 11),
+    debhelper-compat (= 13),
     cmake,
-    pkg-config,
-    libsoapysdr0.6-dev,
-    libbladerf-dev
-Standards-Version: 4.1.3
+    pkgconf,
+    libsoapysdr0.8-dev,
+    libbladerf-dev (>= 0.2018.08-rc1)
+Standards-Version: 4.7.2
 Homepage: https://github.com/pothosware/SoapyBladeRF/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapybladerf
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapybladerf.git
+Rules-Requires-Root: no
 
-Package: soapysdr0.6-module-bladerf
+Package: soapysdr0.8-module-bladerf
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.6-module
+Provides: soapysdr0.8-module
 Description: bladeRF device support for SoapySDR
  The Soapy bladeRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -28,7 +29,7 @@
 Package: soapysdr-module-bladerf
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.6-module-bladerf, ${misc:Depends}
+Depends: soapysdr0.8-module-bladerf, ${misc:Depends}
 Description: bladeRF device support for SoapySDR (default version)
  The Soapy bladeRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.7-module-bladerf
+	dh_installdocs --link-doc=soapysdr0.8-module-bladerf
